JarBinarySpec (Gradle API 2.10)
Date: 2015-12-21

Package: org.gradle.jvm

## [Java] Interface JarBinarySpec

- org.gradle.jvm.JvmBinarySpec

- All Superinterfaces:
    Named, Buildable, BinarySpec, BuildableModelElement, JvmBinarySpec

  Definition of a Jar file binary that is to be built by Gradle.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `File` | `getApiJarFile()` The API jar file output for this binary.
    `Set<String>` | `getExportedPackages()`
    `LibraryBinaryIdentifier` | `getId()` The unique identifier of this JarBinarySpec.
    `File` | `getJarFile()` The jar file output for this binary.
    `void` | `setApiJarFile(File jarFile)` Sets the API jar file output for this binary.
    `void` | `setExportedPackages(Set<String> exportedPackages)`
    `void` | `setJarFile(File jarFile)` Sets the jar file output for this binary.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface JvmBinarySpec` | `getClassesDir, getResourcesDir, getTargetPlatform, getTasks, getToolChain, setClassesDir, setResourcesDir, setTargetPlatform, setToolChain`
    `interface BinarySpec` | `getDisplayName, getInputs, getSource, getSources, getTasks, isBuildable`
    `interface BuildableModelElement` | `builtBy, getBuildTask, hasBuildDependencies, setBuildTask`
    `interface Named` | `getName`

- - ### Method Detail

    - #### public File getApiJarFile()

      The API jar file output for this binary.

    - #### public Set<String> getExportedPackages()

    - #### public LibraryBinaryIdentifier getId()

      The unique identifier of this JarBinarySpec.

    - #### public File getJarFile()

      The jar file output for this binary.

    - #### public void setApiJarFile(File jarFile)

      Sets the API jar file output for this binary.

    - #### public void setExportedPackages(Set<String> exportedPackages)

    - #### public void setJarFile(File jarFile)

      Sets the jar file output for this binary.